Uploaded image for project: 'Moodle QA'
  1. Moodle QA
  2. MDLQA-6693 Moodle 2.7 QA
  3. MDLQA-7065

CLONE - Upgrade test from previous version of Moodle on PostgreSQL with Apache

    XMLWordPrintable

    Details

      Description

      Test Pre-requisites:

      • This test must be executed on Moodle hosted on Apache with a PostgreSQL database.
      • An instance of the previous version of Moodle with the following:
        • At least one course.
        • At least one teacher enrolled in that course.
        • At least one student enrolled in that course.
        • At least one manager enrolled in that course.
        • The course has at least one of each activity and resource. With:
          • posts on a forum,
          • completed an assignments,
          • completed a quizzes.

      Test Steps:

      1. Upgrade Moodle to the latest version.
      2. Access the course as each role and verify:
        • permissions are correct.
        • layout and any data is correct and can be accessed.
      3. As the teacher add one of each activity and resource to the course created above.
      4. As one of the students access each activity and resource:
        • post on a forum,
        • complete an activity,
        • complete a quiz.
      5. As the teacher grade any completed activities.

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: